## GESTrackSource

GESTrackSource — Base Class for single-media sources

## Synopsis

    #include <ges/ges.h>

                        GESTrackSource;
                        GESTrackSourceClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTrackObject
                   +----GESTrackSource
                         +----GESTrackAudioTestSource
                         +----GESTrackFileSource
                         +----GESTrackImageSource
                         +----GESTrackTitleSource
                         +----GESTrackVideoTestSource

## Description

## Details

### GESTrackSource

    typedef struct _GESTrackSource GESTrackSource;

Base class for single-media sources

### GESTrackSourceClass

    typedef struct {
    } GESTrackSourceClass;